PlasticXPSpinnerUI (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticXPSpinnerUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SpinnerUI
              javax.swing.plaf.basic.BasicSpinnerUI
                  com.jgoodies.looks.plastic.PlasticSpinnerUI
                      com.jgoodies.looks.plastic.PlasticXPSpinnerUI

    public final class PlasticXPSpinnerUI

extends PlasticSpinnerUI

The JGoodies PlasticXP Look&Feel implementation of `SpinnerUI`. Configures the default editor to adjust font baselines and component bounds. Also, changes the border of the buttons and the size of the arrows.

Version:
  $Revision: 1.11 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSpinnerUI
`spinner`

Constructor Summary
`PlasticXPSpinnerUI()`

Method Summary
`protected Component` | `createArrowButton(int direction)`
`static ComponentUI` | `createUI(JComponent b)`

Methods inherited from class com.jgoodies.looks.plastic.PlasticSpinnerUI
`createEditor, createLayout, replaceEditor`

Methods inherited from class javax.swing.plaf.basic.BasicSpinnerUI
`createNextButton, createPreviousButton, createPropertyChangeListener, getBaseline, getBaselineResizeBehavior, installDefaults, installKeyboardActions, installListeners, installNextButtonListeners, installPreviousButtonListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticXPSpinnerUI

    public PlasticXPSpinnerUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### createArrowButton

    protected Component createArrowButton(int direction)

  Overrides:
    `createArrowButton` in class `PlasticSpinnerUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.